<template>
  <div class="right">
    <m-card mode="border2">
      <CommunityVideo />
    </m-card>
    <m-card mode="border2">
      <WarningStatistics />
    </m-card>
    <m-card mode="border2">
      <Archive @select="onSelect" />
    </m-card>
  </div>
</template>

<script lang="ts" setup>
import CommunityVideo from './community-video.vue'
import WarningStatistics from './warning-statistics.vue'
import Archive from './archive.vue'
import { defineEmit } from 'vue'
const emit = defineEmit(['select'])
function onSelect(location: any) {
  emit('select', location)
}
</script>

<style lang="stylus" scoped>
@import '../../components/MyComponent/main.styl'
.right
  $full()
  display flex
  justify-content space-between
  >div
    height 100%
    // width 33%
    width 49.5%
</style>
